#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.8
visibility:           public
id:                   hOpenPGP-2.9.8-5zNIxYhl5Oe7SrkNK2K1g
key:                  hOpenPGP-2.9.8-5zNIxYhl5Oe7SrkNK2K1g
license:              MIT
copyright:            2012-2022  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  fd4e7165d229e176ff6ab62ca93a3f92
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hOpenPGP-2.9.8
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hOpenPGP-2.9.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hopenpgp
hs-libraries:         HShOpenPGP-2.9.8-5zNIxYhl5Oe7SrkNK2K1g
depends:
    aeson-2.1.2.1-2DC8oo6JY6hDnCPVtrY9Cs
    asn1-encoding-0.9.6-GaWurzX3Z4NDB2ojnqlFyZ
    attoparsec-0.14.4-CxdihoEA1MA35vfkJWqytP base-4.16.4.0
    base16-bytestring-1.0.2.0-811wB6fWCSu9E6YPICu5Ty
    bifunctors-5.6-H345eq9KXM977VNs0CxcDN binary-0.8.9.0
    binary-conduit-1.3.1-u63IdKf2LjSDOdOC1Ah0 bytestring-0.11.4.0
    bz2-1.0.1.1-LmQjqWTQcTqGGyYoYVN3gS
    conduit-1.3.5-6FjETGOR4CC4rBRPEKClBB
    conduit-extra-1.3.6-Ce01hs0VsLAG3YRecRGsrv containers-0.6.5.1
    crypto-cipher-types-0.0.9-JlEUy6YMnlQJGxVQmgyp8z
    cryptonite-0.30-4sVTsME4FC2Kuj4PQGWqjm
    errors-2.3.0-APEeKm6wjoEAxiXHsD0L3P
    hashable-1.4.3.0-3dqA7o3S1KBIuEdO2YDkYf
    incremental-parser-0.5.1-3gK4NryJK1vLoyvV56POig
    ixset-typed-0.5.1.0-DdT0wSC0erkDboGLUwCXgS
    lens-5.2.3-DsU5WJ3RaWRHiptdGSZV2k
    memory-0.18.0-Hvum6HaH78UJG59LYyNLK1
    monad-loops-0.4.3-1PoLx7GFY2f6JjKzBe0o6E
    nettle-0.3.1.1-IesfSaYKwdg21K60p9ny7B
    network-uri-2.6.4.2-BKzRgpHYeZQDpITqSEiK9b
    openpgp-asciiarmor-0.1.2-GzKhP6ob7ex7UfDyZ9MPvg
    prettyprinter-1.7.1-HiziM37WgyB7jvtYf8DwHL
    resourcet-1.2.6-1uJ6XxsltNCHNDeK9zl13e
    split-0.2.5-4nalIMiBmQhB7dn9GiXUZZ text-1.2.5.0 time-1.11.1.1
    time-locale-compat-0.1.1.5-LoE3V3We7KBAnFwKjT98C2
    transformers-0.5.6.2 unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-2sfG1n18ekp4kj5cDOH71Y
    zlib-0.6.3.0-6JklbuqwVaBC4tiJ9FeSNT

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

